---
title: 'AudioTrackList: change event'
slug: Web/API/AudioTrackList/change_event
tags:
  - API
  - AudioTrackList
  - Change
  - Event
  - HTML API
---
<div>{{APIRef}}</div>

<p>The <code>change</code> event is fired when an audio track is enabled or disabled, for example by changing the track's <code><a href="/en-US/docs/Web/API/AudioTrack/enabled">enabled</a></code> property.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("AudioTrackList/onchange", "onchange")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js notranslate">const videoElement = document.querySelector('video');
videoElement.audioTracks.addEventListener('change', (event) =&gt; {
    console.log(`'${event.type}' event fired`);
});

// changing the value of `enabled` will trigger the `change` event
const toggleTrackButton = document.querySelector('.toggle-track');
toggleTrackButton.addEventListener('click', () =&gt; {
  const track = videoElement.audioTracks[0];
  track.enabled = !track.enabled;
});
</pre>

<p>Using the <code>onchange</code> event handler property:</p>

<pre class="brush: js notranslate">const videoElement = document.querySelector('video');
videoElement.audioTracks.onchange = (event) =&gt; {
    console.log(`'${event.type}' event fired`);
};

// changing the value of `enabled` will trigger the `change` event
const toggleTrackButton = document.querySelector('.toggle-track');
toggleTrackButton.addEventListener('click', () =&gt; {
  const track = videoElement.audioTracks[0];
  track.enabled = !track.enabled;
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#event-media-change', 'change')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrackList.change_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <code><a href="/en-US/docs/Web/API/AudioTrackList/addtrack_event">addtrack</a></code>, <code><a href="/en-US/docs/Web/API/AudioTrackList/removetrack_event">removetrack</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/VideoTrackList">VideoTrackList</a></code> targets: <code><a href="/en-US/docs/Web/API/VideoTrackList/change_event">change</a></code></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Streams API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
</ul>
